DtEditorCutToClipboard(library call)

NAME
DtEditorCutToClipboard — copy the primary selection in a DtEditor widget to the clipboard and delete the selected text

SYNOPSIS

#include &<Dt/Editor.h>
Boolean DtEditorCutToClipboard(
Widget widget);

DESCRIPTION

The DtEditorCutToClipboard function copies the primary selected text in the DtEditor widget, specified by the widget, argument to the clipboard and then deletes the primary selected text. Text can be selected and deselected programmatically with DtEditorSelectAll(3) and DtEditorDeselect(3).

The widget argument specifies the DtEditor widget ID.

For a complete definition of the DtEditor widget and its associated resources, see DtEditor(3).

RETURN VALUE

Upon successful completion, the DtEditorCutToClipboard function returns True; otherwise, if the primary selection is NULL, or if the widget doesn't own the primary selection, or if the function is unable to gain ownership of the clipboard selection, it returns False.

SEE ALSO

Dt/Editor.h - DtEditor(5), DtEditor(3), DtEditorClearSelection(3), DtEditorCopyToClipboard(3), DtEditorDeleteSelection(3), DtEditorDeselect(3), DtEditorPasteFromClipboard(3), DtEditorSelectAll(3), DtEditorUndoEdit(3).